[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# HostAddrToStr

Convert a host address to a string.

## Declaration

Source position: socketsh.inc line 192

`function HostAddrToStr(`
`Entry: in_addr`
`):AnsiString;`

## Description

HostAddrToStr converts the host address in Entry to a string representation in human-readable form (a dotted quad).

Basically, it is the same as NetAddrToStr, but with the bytes in correct order.

## See also

NetAddrToStr |  | Convert a network address to a string.
StrToHostAddr |  | Convert a string to a host address.
StrToNetAddr |  | Convert a string to a network address.